PROC FORMAT ;
  VALUE $categ
    "a","A" = "Dossier non clos"
    "b","B" = "Dossier clos en moins d'1 mois et montant < 1000 euros"
    "c","C" = "Dossier clos en moins d'1 mois et montant >=1000 euros"
    "d","D" = "Dossier clos en moins d'1 an"	
	"e","E" = "Dossier clos en plus d'1 an"
  ;
RUN ;
DATA work.traitements ;
  SET livre.sin (KEEP=contrat noSin dtOuver dtClot montant) ;
  ATTRIB categorie
    LABEL  = "Dlai de traitement du dossier"
	LENGTH = $1
	FORMAT = $categ. 
  ;
  SELECT ;
    WHEN (MISSING(dtClot))                        categorie = "A" ;
	WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1/12
           AND montant < 1000)                    categorie = "B" ;
	WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1/12) categorie = "C" ;
	WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1)    categorie = "D" ;
	OTHERWISE                                     categorie = "E" ;
  END ;
RUN ;
